<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: Accessories Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classAccessories.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classAccessories-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Accessories Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="Accessories_8hpp_source.html">Accessories.hpp</a>&quot;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:abf6c53a430ca7986f9acfc5b222cbc31"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessories.html#abf6c53a430ca7986f9acfc5b222cbc31">begin</a> (int inEEPROMStart = -1, int inEEPROMSize = -1)</td></tr>
<tr class="separator:abf6c53a430ca7986f9acfc5b222cbc31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e5545dc9783adf1b05c0c2427016d17"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessories.html#a9e5545dc9783adf1b05c0c2427016d17">RaiseEvent</a> (unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td></tr>
<tr class="separator:a9e5545dc9783adf1b05c0c2427016d17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b31341ccfe6330dc5567f7163b25761"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessories.html#a9b31341ccfe6330dc5567f7163b25761">ReceiveEvent</a> (unsigned long inID, ACCESSORIES_EVENT_TYPE lastEventType, int inData)</td></tr>
<tr class="separator:a9b31341ccfe6330dc5567f7163b25761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d5536f4566bf3475f1d446802129790"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessories.html#a2d5536f4566bf3475f1d446802129790">loop</a> ()</td></tr>
<tr class="separator:a2d5536f4566bf3475f1d446802129790"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa99c21da1122ed8ef378c80149b0e68b"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessories.html#aa99c21da1122ed8ef378c80149b0e68b">wait</a> (unsigned long inDelay)</td></tr>
<tr class="separator:aa99c21da1122ed8ef378c80149b0e68b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the main class of the library. All data and functions are static. There is no way to instanciate this class. </p>

<p class="definition">Definition at line <a class="el" href="Accessories_8hpp_source.html#l00016">16</a> of file <a class="el" href="Accessories_8hpp_source.html">Accessories.hpp</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="abf6c53a430ca7986f9acfc5b222cbc31"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Accessories::begin </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inEEPROMStart</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inEEPROMSize</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inEEPROMStart</td><td>Defines the starting byte address to save accessories status. If the size is -1, there will be no EEPROM saving. Default is -1. </td></tr>
    <tr><td class="paramname">inEEPROMSize</td><td>Defines the total size of EEPROM memory available to save accessories status. If the size is -1, there will be no EEPROM saving. Default is -1. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="Accessories_8cpp_source.html#l00024">24</a> of file <a class="el" href="Accessories_8cpp_source.html">Accessories.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a2d5536f4566bf3475f1d446802129790"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Accessories::loop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Main loop function. This function will call all necessary internal loop functions for each accessory activated... </p><dl class="section return"><dt>Returns</dt><dd>True if something rest to execute. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Accessories_8cpp_source.html#l00147">147</a> of file <a class="el" href="Accessories_8cpp_source.html">Accessories.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a9e5545dc9783adf1b05c0c2427016d17"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Accessories::RaiseEvent </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ACCESSORIES_EVENT_TYPE&#160;</td>
          <td class="paramname"><em>inEvent</em> = <code>ACCESSORIES_EVENT_MOVEPOSITIONID</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inData</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Raise a new event. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id of a MovePosition of an accessory or an accessory item. </td></tr>
    <tr><td class="paramname">inEvent</td><td>Type of the new event. Default is ACCESSORIES_EVENT_MOVEPOSITIONID. </td></tr>
    <tr><td class="paramname">inData</td><td>Associated data to the event type. Default is 0. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="Accessories_8cpp_source.html#l00109">109</a> of file <a class="el" href="Accessories_8cpp_source.html">Accessories.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a9b31341ccfe6330dc5567f7163b25761"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Accessories::ReceiveEvent </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ACCESSORIES_EVENT_TYPE&#160;</td>
          <td class="paramname"><em>lastEventType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inData</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Receive an event from external source. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inID</td><td>Id of the an accessory or an accessory item. </td></tr>
    <tr><td class="paramname">lastEventType</td><td>Type of the new event. </td></tr>
    <tr><td class="paramname">inData</td><td>Associated data to the event type. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="Accessories_8cpp_source.html#l00114">114</a> of file <a class="el" href="Accessories_8cpp_source.html">Accessories.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="aa99c21da1122ed8ef378c80149b0e68b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Accessories::wait </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDelay</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Wait until the delay without executing anu other event. All started movements will continue during the interval. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDelay</td><td>waiting delay in milliseconds. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="Accessories_8cpp_source.html#l00213">213</a> of file <a class="el" href="Accessories_8cpp_source.html">Accessories.cpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="Accessories_8hpp_source.html">Accessories.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="Accessories_8cpp_source.html">Accessories.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classAccessories.html">Accessories</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
